﻿* Encoding: UTF-8.
*

select if class = 7.

*Authority Measures*.
FREQUENCIES VARIABLES=f1 f2 f3 f4
  /ORDER=ANALYSIS.

recode f2 (1=2) (2=1) into f2r.
compute fscoreM = mean (f1, f2r, f3, f4).
compute fscoreS = (f1 + f2r + f3 + f4).
execute.

*Big 5*.
DESCRIPTIVES VARIABLES=quiet softheart disorgan worries art dominant rude diffstart depressed 
    noabstract energy best reliable stable original
  /STATISTICS=MEAN STDDEV MIN MAX.

recode quiet (1=5) (2=4) (3=3) (4=2) (5=1) into quietR.
recode disorgan  (1=5) (2=4) (3=3) (4=2) (5=1) into disorganR .
recode rude  (1=5) (2=4) (3=3) (4=2) (5=1) into rudeR.
recode diffstart  (1=5) (2=4) (3=3) (4=2) (5=1) into diffstartR . 
recode noabstract  (1=5) (2=4) (3=3) (4=2) (5=1) into noabstractR.
recode stable  (1=5) (2=4) (3=3) (4=2) (5=1) into stableR .

compute agreeable = (softheart + rudeR + best).
compute open= (art +noabstractR + original).
compute conscient = (disorganR + diffstartR + reliable).
compute extrav = (quietR + dominant + energy).
compute neurot = (worries + depressed + stableR).
execute. 
freq var agreeable open conscient extrav neurot
  /statistics = mean.

compute NIAuth = (sauth1 + sauth2 + sauth3 +sauth4 + sauth5).
compute NILib = (slib1 + slib2 + slib3 + slib4 + slib5).

correlate NIAuth NIlib fscoreM agreeable open conscient extrav neurot.
correlate NIAuth Nilib fscoreM gender religious ideology work.

*Populism Syntax.*

recode pism1b pism2b pism3b pism3c (0=5) (1=4) (2=3) (3=2) (4=1) (5=0) into pism1br pism2br pism3br pism3cr.
 
COMPUTE Pox_AVG = MEAN(pism1a, pism1br, pism1c).
COMPUTE Eli_AVG = MEAN(pism2a, pism2br, pism2c).
COMPUTE Moral_AVG = MEAN(pism3a, pism3br, pism3cr).
COMPUTE Populism = Mean (Pox_Avg, Eli_Avg, Moral_Avg).
fre var Pox_AVG Eli_AVG Moral_AVG Populism
  /statistics = mean median mode.

correlate fscoreS NIAuth NiLib agreeable open conscient extrav neurot ideology with Pox_AVG Eli_AVG Moral_AVG Populism.
correlate fscoreS NIAuth NiLib agreeable open conscient extrav neurot with ideology.

*Moral Foundations syntax*.
COMPUTE MFQ_HARM_AVG = MEAN(harm1,harm2,harm3,harm4) .
COMPUTE MFQ_FAIRNESS_AVG = MEAN(fair1,fair2,fair3,fair4) .
COMPUTE MFQ_INGROUP_AVG = MEAN(ingroup1,ingroup2,ingroup3,ingroup4) .
COMPUTE MFQ_AUTHORITY_AVG = MEAN(author1,author2,author3,author4) .
COMPUTE MFQ_PURITY_AVG = MEAN(pure1,pure2,pure3,pure4) .
COMPUTE MFQ_PROGRESSIVISM = MEAN (MFQ_HARM_AVG, MFQ_FAIRNESS_AVG) - MEAN (MFQ_INGROUP_AVG, MFQ_AUTHORITY_AVG, MFQ_PURITY_AVG).
execute.
 

*Graphic Foundations Syntax*.
GRAPH
  /LINE(MULTIPLE)=MEAN(MFQ_HARM_AVG) MEAN(MFQ_FAIRNESS_AVG) MEAN(MFQ_INGROUP_AVG) 
    MEAN(MFQ_AUTHORITY_AVG) MEAN(MFQ_PURITY_AVG) BY ideology
  /MISSING=LISTWISE.

GRAPH
  /LINE(MULTIPLE)=MEAN(MFQ_HARM_AVG) MEAN(MFQ_FAIRNESS_AVG) MEAN(MFQ_INGROUP_AVG) 
    MEAN(MFQ_AUTHORITY_AVG) MEAN(MFQ_PURITY_AVG) BY ideology
  /PANEL ROWVAR=class ROWOP=CROSS
  /MISSING=LISTWISE.


